# Apps using `ratatui`

Here you will find a list of TUI applications that are made using `ratatui`.

## 📝 Table of Contents

- [💻 Development Tools](#-development-tools)
- [🕹️ Games and Entertainment](#-games-and-entertainment)
- [🚀 Productivity and Utilities](#-productivity-and-utilities)
- [🎼 Music and Media](#-music-and-media)
- [🌐 Networking and Internet](#-networking-and-internet)
- [👨‍💻 System Administration](#-system-administration)
- [🌌 Other](#-other)

#### 💻 Development Tools

- [desed](https://github.com/SoptikHa2/desed): Debugging tool for sed scripts
- [gitui](https://github.com/extrawurst/gitui): Terminal UI for Git
- [gobang](https://github.com/TaKO8Ki/gobang): Cross-platform TUI database management tool
- [joshuto](https://github.com/kamiyaa/joshuto): Ranger-like terminal file manager written in Rust
- [repgrep](https://github.com/acheronfail/repgrep): An interactive replacer for ripgrep that makes it easy to find and replace across files on the command line
- [tenere](https://github.com/pythops/tenere): TUI interface for LLMs written in Rust

#### 🕹️ Games and Entertainment

- [Battleship.rs](https://github.com/deepu105/battleship-rs): Terminal-based Battleship game
- [game-of-life-rs](https://github.com/kachark/game-of-life-rs): Conway's Game of Life implemented in Rust and visualized with tui-rs
- [oxycards](https://github.com/BrookJeynes/oxycards): Quiz card application built within the terminal
- [minesweep](https://github.com/cpcloud/minesweep-rs): Terminal-based Minesweeper game
- [rust-sadari-cli](https://github.com/24seconds/rust-sadari-cli): rust sadari game based on terminal! (Ghost leg or Amidakuji in another words)

#### 🚀 Productivity and Utilities

- [diskonaut](https://github.com/imsnif/diskonaut): Terminal-based disk space navigator
- [exhaust](https://github.com/heyrict/exhaust): Exhaust all your possibilities.. for the next coming exam
- [gpg-tui](https://github.com/orhun/gpg-tui): Manage your GnuPG keys with ease!
- [meteo-tui](https://github.com/16arpi/meteo-tui): French weather app in the command line
- [rusty-krab-manager](https://github.com/aryakaul/rusty-krab-manager): time management tui in rust
- [taskwarrior-tui](https://github.com/kdheepak/taskwarrior-tui): TUI for the Taskwarrior command-line task manager
- [tickrs](https://github.com/tarkah/tickrs): Stock market ticker in the terminal

#### 🎼 Music and Media

- [glicol-cli](https://github.com/glicol/glicol-cli): Cross-platform music live coding in terminal
- [spotify-tui](https://github.com/Rigellute/spotify-tui): Spotify client for the terminal
- [twitch-tui](https://github.com/Xithrius/twitch-tui): Twitch chat in the terminal
- [ytui-music](https://github.com/sudipghimire533/ytui-music): Listen to music from YouTube in the terminal

#### 🌐 Networking and Internet

- [adsb_deku/radar](https://github.com/wcampbell0x2a/adsb_deku#radar-tui): TUI for displaying ADS-B data from aircraft
- [bandwhich](https://github.com/imsnif/bandwhich): Displays network utilization by process
- [conclusive](https://github.com/mrusme/conclusive): A command line client for Plausible Analytics
- [gping](https://github.com/orf/gping/): Ping tool with a graph
- [mqttui](https://github.com/EdJoPaTo/mqttui): MQTT client for subscribing or publishing to topics
- [oha](https://github.com/hatoo/oha): Top-like monitoring tool for HTTP(S) traffic
- [rrtop](https://github.com/wojciech-zurek/rrtop): Redis monitoring (top like) app. rrtop -> [r]ust [r]edis [top]
- [termscp](https://github.com/veeso/termscp): A feature rich terminal UI file transfer and explorer with support for SCP/SFTP/FTP/S3/SMB
- [trippy](https://github.com/fujiapple852/trippy): Network diagnostic tool
- [tsuchita](https://github.com/kamiyaa/tsuchita): client-server notification center for dbus desktop notifications
- [vector](https://github.com/vectordotdev/vector): A high-performance observability data pipeline

#### 👨‍💻 System Administration

- [bottom](https://github.com/ClementTsang/bottom): Cross-platform graphical process/system monitor
- [kdash](https://github.com/kdash-rs/kdash): A simple and fast dashboard for Kubernetes
- [kmon](https://github.com/orhun/kmon): Linux Kernel Manager and Activity Monitor
- [kubectl-watch](https://github.com/imuxin/kubectl-watch): A kubectl plugin to provide a pretty delta change view of being watched kubernetes resources
- [logss](https://github.com/todoesverso/logss): A simple cli for logs splitting
- [oxker](https://github.com/mrjackwills/oxker): Simple TUI to view & control docker containers
- [systeroid](https://github.com/orhun/systeroid): A more powerful alternative to sysctl(8) with a terminal user interface
- [xplr](https://github.com/sayanarijit/xplr): Hackable, minimal, and fast TUI file explorer
- [ytop](https://github.com/cjbassi/ytop): TUI system monitor for Linux
- [zenith](https://github.com/bvaisvil/zenith): Cross-platform monitoring tool for system stats

#### 🌌 Other

- [cotp](https://github.com/replydev/cotp): Command-line TOTP/HOTP authenticator app
- [cube timer](https://github.com/paarthmadan/cube): A tui for cube timing, written in Rust
- [hg-tui](https://github.com/kaixinbaba/hg-tui): TUI for viewing the hellogithub.com website
- [hwatch](https://github.com/blacknon/hwatch): Alternative watch command with command history and diffs
- [poketex](https://github.com/ckaznable/poketex): Simple Pokedex based on TUI
- [termchat](https://github.com/lemunozm/termchat): Terminal chat through the LAN with video streaming and file transfer
